summaryrefslogtreecommitdiff
path: root/yarn.tests
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2013-06-24 07:26:11 +0100
committerLars Wirzenius <liw@liw.fi>2013-06-24 07:26:11 +0100
commit9ec5b1094362c445766e904a9b2180bed24100b4 (patch)
tree39eb3b259906824d9cb54c3840c7ad95c332b88c /yarn.tests
parentf19995c71815be55e57fd3425a999da49471756d (diff)
downloadcmdtest-9ec5b1094362c445766e904a9b2180bed24100b4.tar.gz
Add -n and -q options
Diffstat (limited to 'yarn.tests')
-rwxr-xr-xyarn.tests/no-act.script22
1 files changed, 22 insertions, 0 deletions
diff --git a/yarn.tests/no-act.script b/yarn.tests/no-act.script
new file mode 100755
index 0000000..983f115
--- /dev/null
+++ b/yarn.tests/no-act.script
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -eu
+
+# Create a scenario that will fail.
+cat <<EOF > "$DATADIR/fail.yarn"
+ SCENARIO this will fail
+ GIVEN badness
+ WHEN bad things happen
+ THEN more badness
+
+ IMPLEMENTS GIVEN badness
+ false
+
+ IMPLEMENTS WHEN bad things happen
+ false
+
+ IMPLEMENTS THEN more badness
+ false
+EOF
+
+./yarn -q -n "$DATADIR/fail.yarn"